# Class AuxColorKit

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.AuxColorKit

All Implemented Interfaces:
  `ColorKit`

public class AuxColorKit extends Object implements ColorKit
Encapsulates information about how to colour data points for Aux-like shading.

Since:
  23 Jul 2018
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`AuxColorKit(int icShade, Shader shader, Scaler scaler, Color baseColor, Color nullColor, float scaleAlpha)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Color`
`readColor(Tuple tuple)`
Acquires a colour appropriate for a given tuple.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuxColorKit

public AuxColorKit(int icShade, Shader shader, Scaler scaler, Color baseColor, Color nullColor, float scaleAlpha)
Constructor.

Parameters:
  `icShade` - column index in tuple sequence at which shade values are found
  `shader` - colour shader
  `scaler` - scales data values to normalised shader range
  `baseColor` - colour to adjust for non-absolute shaders
  `nullColor` - colour to use in case of null aux coordinate; if null, such points are not plotted
  `scaleAlpha` - alpha scaling for output colours; 1 means opaque

## Method Details

### readColor

public Color readColor(Tuple tuple)
Description copied from interface: `ColorKit`
Acquires a colour appropriate for a given tuple.

Specified by:
  `readColor` in interface `ColorKit`
Parameters:
  `tuple` - tuple
Returns:
  plotting colour, or null to omit point